﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using QueryEngine;
using System.Linq.Expressions;

namespace LINQFrontend {
  class Program {
    static void Main(string[] args) {
      LegacyEngine engine = new LegacyEngine("datafile.dat");

      var results =
        from entry in engine.LinqAdapter( )
        where entry.Key == "this"
        select entry;

      foreach (var result in results) {
        Console.WriteLine("Key: " + result.Key + ", String value = '" + result.StringValue
          + "', Int value 1 = " + result.IntVal1 + ", Int value 2 = " + result.IntVal2);

      }

      Console.ReadLine( );
    }
  }
}