﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using QueryEngine;
using System.Text.RegularExpressions;

namespace LegacyEngineFrontend {
  class Program {
    static void Main(string[] args) {
      LegacyEngine engine = new LegacyEngine("datafile.dat");

			Console.WriteLine("Commands: get me <object-index>");
			Console.WriteLine("Object indexes in this data file are \n\"this\", \"that\" and \"something else\".");

      while (true) {
        Console.Write("> ");
        string command = Console.ReadLine( );
        if (Regex.IsMatch(command, "^(quit|exit|bye)$", RegexOptions.IgnoreCase))
          return;
        try {
          Console.WriteLine(engine.Query(command));
        }
        catch (Exception ex) {
          Console.WriteLine("EXCEPTION: " + ex.Message);
        }
      }
    }
  }
}
